import java.io.PrintStream;

public class L1_MyApp8 {

	public static void main(String[] args) {
		/*
		 * The scope issue is an interesting one. In the example below, we see
		 * that the variable "extraVariable" is declared and used within the
		 * loop. But this variable ceases to exist once the scope of the loop
		 * body is ended.
		 * 
		 * TO DO : Try to print it out as the last statement of this app.
		 * 
		 * You will see that the compiler deems this an error. The exact error
		 * message is "extraVariable cannot be resolved to a variable", meaning
		 * the compiler says
		 * "you have not declared this variable within the current scope".
		 * 
		 * 
		 * TO DO : Try to migrate "counter = counter + extraVariable" back into
		 * the "bottom" position
		 * 
		 * You will see that the compiler deems this an error (you will see the
		 * same error as above). This is because the "bottom" component of the
		 * for loop is also *out* of the body scope.
		 * 
		 * In sum, this example demonstrates that the body scope is started and
		 * stopped each and every time the loop iterates.
		 */
		PrintStream output = System.out;
		int counter = 1;
		for (; counter < 6;) {
			int extraVariable = 2;
			output.println(counter);
			counter = counter + extraVariable;
		}
		// output.println(extraVariable);

	}
}
